<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncClientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {

//        $relationships = [];
//        if (isset($this->mvfs)) {
//            $relationships['mvfs'] = SyncFinancialMovementResource::collection($this->mvfs);
//        }


        $returnable = [
                "roc_fk_rot_codigo" => $this->rota_cliente->roc_fk_rot_codigo ?? "",
                "pes_codigo" => $this->pes_codigo,
                "pes_nome" => $this->pes_nome,
                "pes_razao_social" => $this->pes_razao_social,
                "pes_identificador" => $this->pes_identificador,
                "contact" => new SyncContactResource($this->contact_default) ?? null,
                "address" => new SyncAddressResource($this->address_default) ?? null
            ];
//            + $relationships;



        return  $returnable;
    }
}
