<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncInventoryResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "pve_codigo" => $this->product_variety_pack->pve_codigo,
            "pve_nome_completo" => $this->product_variety_pack->product_complete_name,
            "sna_quantidade" => format_quantity($this->sna_quantidade),
            "pve_codigo_auxiliar" => $this->pve_codigo_auxiliar,
            "pve_codigo_referencia" => $this->pve_codigo_referencia,
            "sna_valor_medio" => format_money($this->sna_valor_medio),
            "unm_descricao" =>  $this->product_variety_pack->measurement_unit->unm_descricao,
        ];
    }
}
