<?php

namespace App\Mobile\Synchronization\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class SyncUsuarioResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "usu_codigo" => $this[0]->usu_codigo ?? null,
            "usu_nome" => $this[0]->usu_nome ?? null,
            "pes_nome" => $this[0]->pessoa->pes_nome ?? null,
            'usu_fk_pes_codigo' => $this[0]->usu_fk_pes_codigo ?? null,
            "fun_fk_fil_codigo" => $this[0]->funcionario->fun_fk_fil_codigo ?? null,
            "loe_codigo" => $this[0]->pessoa->warehouse_inventory->loe_codigo ?? null
        ];
    }
}
