<?php


namespace App\RestApi\Company\Resources;


use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class FilialTaxServiceTelecomunicationResource extends BaseResource
{
    public function toArray($request)
    {
        $relationships = [];
        $returnable = [
            "fist_codigo" => $this->fist_codigo ?? null,
            "fist_aliquota" => $this->fist_aliquota ?? null,
            "fist_fk_fil_codigo" => $this->fist_fk_fil_codigo ?? null,
            "fist_fk_imp_codigo" => $this->fist_fk_imp_codigo ?? null,
            "fist_fk_cfop_codigo" => $this->fist_fk_cfop_codigo ?? null,
        ];

        $relationships['imposto'] = $this->tax ?? [];
        $relationships['cfop'] = $this->cfop ?? [];
        
        return $returnable + $relationships;
    }
}
